#!/bin/zsh


export COPYFILE_DISABLE=true

ArmFiles=aarch64-apple-darwin20.6.0
IntelFiles=x86_64-apple-darwin18.7.0

cd RawCode
codesign --remove-signature asy-Arm
codesign --remove-signature asy-Intel
cd ..

cd RawCode/$ArmFiles
files=`ls`
for f in $files; do
	if  ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable arm64" ]]; then		
	codesign --remove-signature $f
	fi
done

cd ../..
cd RawCode/$IntelFiles
files=`ls`
for f in $files; do
	if  ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64" ]]; then		
	codesign --remove-signature $f
	fi
done




