#!/bin/zsh

# We're going to run this in the MacTeXDVD working directory...
WORK=`pwd`

echo "Removing old file tree at ${WORK}/root"
rm -rf ${WORK}/root

echo "Creating root"

mkdir -p ${WORK}/root/usr/local/share/ghostscript/10.00.0/lib
mkdir -p ${WORK}/root/usr/local/lib
CD
# Copy libgs binaries and make libgs links

cp ${WORK}/Binaries/libgs.dylib.10.00 ${WORK}/root/usr/local/share/ghostscript/10.00.0/lib/libgs.dylib.10.00
cd ${WORK}/root/usr/local/lib
ln -s /usr/local/share/ghostscript/10.00.0/lib/libgs.dylib.10.00 libgs.dylib
ln -s /usr/local/share/ghostscript/10.00.0/lib/libgs.dylib.10.00 libgs.10.dylib
ln -s /usr/local/share/ghostscript/10.00.0/lib/libgs.dylib.10.00 libgs.10.00.dylib
cd ${WORK}

# chmod
echo "Changing permissions"
chmod -R a+r ${WORK}/root/usr
chown -R root  ${WORK}/root/usr
chgrp -R wheel  ${WORK}/root/usr
chmod 755 ${WORK}/root/usr


