#!/bin/zsh


export COPYFILE_DISABLE=true


cd Arm
files=`ls`
for f in $files; do
	if  ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable arm64" ]]; then		
	codesign --remove-signature $f
	fi
done

cd Intel
=files=`ls`
for f in $files; do
	if  ! [[ -L $f ]] &&  [[ "$(file $f)" = "$f: Mach-O 64-bit executable x86_64-darwin" ]]; then		
	codesign --remove-signature $f
	fi
done





