#!/bin/zsh

######################################################
# This script builds the directory 
#
#	TeXfonts/Font
#
# in this source folder, which contains symlinks to TeX Live fonts.
#
# First insure that the current TeX Live is the active distribution.
# Then run this script.
#
######################################################

# We're going to run this in the MacTeX/Ghostscript working directory...
WORK=`pwd`

# echo "Removing old file tree at ${WORK}/TeXfonts/Font"
rm -rf ${WORK}/TeXfonts/Font

mkdir -p ${WORK}/TeXfonts/Font



sudo ln -s /Library/TeX/Root/texmf-dist/fonts/type1/{public/{amsfonts/{cm,latxfont,cmextra,cyrillic,euler,symbols},rsfs,stmaryrd,tipa,wasy-type1,belleek,cmcyr,cs,marvosym,omega,pl,pxfonts,txfonts,xypic},hoekwater/{context,mflogo-font,manfnt-font},bitstrea/charter,adobe/utopia,urw/{antiqua,grotesq}}/*.pfb ${WORK}/TeXfonts/Font

