#!/bin/zsh

# We're going to run this in the MacTeX working directory...
WORK=`pwd`

cd ${WORK}/root/usr/local/texlive/2023/tlpkg/installer

cd lz4
codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime lz4.universal-darwin
cd ..

cd wget
codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime wget.universal-darwin
cd ..

cd xz
codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime xz.universal-darwin
cd ..

# Fix other problemscd

cd ${WORK}/root/usr/local/texlive/2023/texmf-dist/doc/support/ctan-o-mat
mv ctan-o-mat.pkg ctan-o-mat.txt

# cd ${WORK}/root/usr/local/texlive/2023/texmf-dist/doc/latex/codepage
# rm demo.zip

cd ${WORK}/root/usr/local/texlive/2023/texmf-dist/source/latex/stellenbosch
rm USlogos-4.0-src.zip 
# (Ultimately I just removed USEngLogo-top.cdr and USEngLogo.cdr)

# End fixes


cd ../../

